Subject: Re: [PATCH v5 5/5] builtin/merge-tree.c: implement support for `--write-pack`

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Nov 2023 10:40:58 +0900

Jeff King <[email-masked]> writes:

> I posted an alternative in response to Elijah; the general idea being to
> allow the usual object-lookup code to access the in-progress pack. That
> would keep us limited to a single pack.

If such a mechanism is done in a generic way, would we be able to
simplify fast-import a lot, I wonder?  IIRC, it had quite a lot of
code to remember what it has written to its output to work around
the exact issue your alternative tries to solve.  In fact, maybe we
could make fast-import a thin wrapper around the bulk checkin
infrastructure?